Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class AssetDispatcher

    java.lang.Object
      org.apache.tapestry5.internal.services.AssetDispatcher

All Implemented Interfaces:
  Dispatcher

    @UsesMappedConfiguration(value=AssetRequestHandler.class)
    public class AssetDispatcher

extends java.lang.Object
implements Dispatcher

Recognizes requests where the path begins with "/asset/" and delivers the content therein as a bytestream. Also handles requests that are simply polling for a change to the file.

See Also:
  `ResourceStreamer`, `ClasspathAssetAliasManager`, `AssetRequestHandler`

Constructor Summary
`AssetDispatcher(java.util.Map<java.lang.String,AssetRequestHandler> configuration, java.lang.String applicationVersion, java.lang.String applicationFolder, java.lang.String assetPathPrefix)`

Method Summary
`boolean` | `dispatch(Request request, Response response)` Analyzes the incoming request and performs an appropriate operation for each.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssetDispatcher

    public AssetDispatcher(java.util.Map<java.lang.String,AssetRequestHandler> configuration,
                           @Symbol(value="tapestry.application-version")
                           java.lang.String applicationVersion,
                           @Symbol(value="tapestry.application-folder")
                           java.lang.String applicationFolder,
                           @Symbol(value="tapestry.asset-path-prefix")
                           java.lang.String assetPathPrefix)

Method Detail

### dispatch

    public boolean dispatch(Request request,
                            Response response)
                     throws java.io.IOException

  Description copied from interface: `Dispatcher`
  Analyzes the incoming request and performs an appropriate operation for each.

  Specified by:
    `dispatch` in interface `Dispatcher`
  Returns:
    true if a response was delivered, false if the dispatcher did not handle the request (and a search for a handler should continue)
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.